org.apache.felix.metatype

## Class DefaultMetaTypeProvider

- java.lang.Object
- - org.apache.felix.metatype.DefaultMetaTypeProvider

All Implemented Interfaces:
  org.osgi.service.metatype.MetaTypeProvider

    public class DefaultMetaTypeProvider
    extends Object
    implements org.osgi.service.metatype.MetaTypeProvider

The `DefaultMetaTypeProvider` class is an implementation of the `MetaTypeProvider` interface which is configured for a given bundle using a `MetaData` object.

This class may be used by clients, e.g. `ManagedService` or `ManagedServiceFactory` implementations to easily also implement the `MetaTypeProvider` interface.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from interface org.osgi.service.metatype.MetaTypeProvider

`METATYPE_FACTORY_PID, METATYPE_PID`

### Constructor Summary

Constructors
Constructor and Description
`DefaultMetaTypeProvider(org.osgi.framework.Bundle bundle, MetaData metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.Bundle` `getBundle()` Returns the `Bundle` to which this instance belongs.
`Designate` `getDesignate(String pid)`
`protected List` `getDesignates()`
`String[]` `getLocales()`
`org.osgi.service.metatype.ObjectClassDefinition` `getObjectClassDefinition(String id, String locale)`
`protected Map` `getObjectClassDefinitions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMetaTypeProvider

    public DefaultMetaTypeProvider(org.osgi.framework.Bundle bundle,
                                   MetaData metadata)

### Method Detail

#### getBundle

    public org.osgi.framework.Bundle getBundle()

Returns the `Bundle` to which this instance belongs.

#### getLocales

    public String[] getLocales()

Specified by:
  `getLocales` in interface `org.osgi.service.metatype.MetaTypeProvider`

#### getObjectClassDefinition

    public org.osgi.service.metatype.ObjectClassDefinition getObjectClassDefinition(String id,
                                                                                    String locale)

Specified by:
  `getObjectClassDefinition` in interface `org.osgi.service.metatype.MetaTypeProvider`

#### getDesignate

    public Designate getDesignate(String pid)

#### getObjectClassDefinitions

    protected Map getObjectClassDefinitions()

#### getDesignates

    protected List getDesignates()